
import java.io.IOException;
import java.io.PrintWriter;
import html.HtmlWriter;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class SeznamCisel extends HttpServlet {


    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        response.setCharacterEncoding("utf-8");

        PrintWriter out = response.getWriter();
        HtmlWriter.printHeader(out, "2. Seznam čísel");
        
        int pocet = 0;
        try {
            String pocet_cisel = request.getParameter("pocet_cisel");
            pocet = Integer.parseInt(pocet_cisel);
        } catch (NumberFormatException nfe) {
            HtmlWriter.printError(out, "Zadaná hodnota nebyla číslo.");
            HtmlWriter.printFooter(out);
            return;
        }
        if(pocet <= 0) {
            HtmlWriter.printError(out,"Musíte zadat číslo &gt; 0");
            HtmlWriter.printFooter(out);
            return;
        }       
        out.print("<form action=\"zpracuj\" method=\"post\"><fieldset>");
        for(int i = 1; i <= pocet; i++) {
            showNumInput(out,i);
        }
        out.println("<br /><input type=\"submit\" name=\"submit\" />");
        out.println("</fieldset></form>");
        HtmlWriter.printFooter(out);
    }

    private void showNumInput(PrintWriter out, int i) {
        out.printf("<label for=\"cisla%d\">Zadejte číslo %1$02d:</label> "
                    +"<input type=\"text\" id=\"cisla%1$d\" name=\"cisla[]\" /><br />",i);
    }
}